> For the complete documentation index, see [llms.txt](https://docs.parqex.com/-MUyxAVrX9S4wky8UoX6/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parqex.com/-MUyxAVrX9S4wky8UoX6/oauth/how-to-authorize-access/step-5-refresh-the-tokens.md).

# Step 5: Refresh the Tokens

To refresh the access token and, consequently, the refresh token, make the following request using the most recent refresh token:

The request must follow this format (line breaks added for clarity):

```
https://api.parqex.com/oauth/v2/endpoints/token/?
    client_id=<CLIENT_ID>&
    client_secret=<CLIENT_SECRET>&
    grant_type= authorization_code&
    refresh_token=<REFRESH_TOKEN>&
    grant_type=refresh_token
```

where `<REFRESH_TOKEN>` is a valid refresh token received from Step 3.

{% hint style="info" %}
**Using a prototype tool to test?** If you are using a tool, such as POSTMAN to test, read [Using RESTful Tools](/-MUyxAVrX9S4wky8UoX6/getting-started/using-restful-tools.md) section for known issues.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parqex.com/-MUyxAVrX9S4wky8UoX6/oauth/how-to-authorize-access/step-5-refresh-the-tokens.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
